Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » P2 » Director randomly failing
Director randomly failing [message #1070404] Wed, 17 July 2013 22:42 Go to next message
Terran Gilman is currently offline Terran Gilman
Messages: 67
Registered: July 2009
Member
I keep seeing this happen with the director application. It is trying to install bundles that are already there from the same location they were installed from. This seems to happen prior to the requested IU being installed. If the director is run again without changes, it usually works the second time without issues.

!SESSION 2013-07-17 17:24:04.369 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_13
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US
Framework arguments: -repository repository_list_goes_here -flavor tooling -roaming -d eclipse -p EquinoxOSGiStarterKit -i com.openmethods.iserver.clients.rightnow.feature.group
Command-line arguments: -repository repository_list_goes_here -flavor tooling -roaming -d eclipse -p EquinoxOSGiStarterKit -i com.openmethods.iserver.clients.rightnow.feature.group

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.859
!MESSAGE Could not install bundle plugins/org.apache.ant_1.8.3.v20120321-1730/ Bundle "org.apache.ant" version "1.8.3.v20120321-1730" has already been installed from: reference:file:plugins/org.apache.ant_1.8.3.v20120321-1730/

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.860
!MESSAGE Could not install bundle plugins/org.apache.commons.codec_1.3.0.v201101211617/ Bundle "org.apache.commons.codec" version "1.3.0.v201101211617" has already been installed from: reference:file:plugins/org.apache.commons.codec_1.3.0.v201101211617/

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.862
!MESSAGE Could not install bundle plugins/org.apache.commons.httpclient_3.1.0.v201012070820/ Bundle "org.apache.commons.httpclient" version "3.1.0.v201012070820" has already been installed from: reference:file:plugins/org.apache.commons.httpclient_3.1.0.v201012070820/

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.863
!MESSAGE Could not install bundle plugins/org.apache.commons.logging_1.0.4.v201101211617.jar Bundle "org.apache.commons.logging" version "1.0.4.v201101211617" has already been installed from: reference:file:plugins/org.apache.commons.logging_1.0.4.v201101211617.jar

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.866
!MESSAGE Could not install bundle plugins/org.eclipse.core.contenttype_3.4.200.v20120523-2004.jar Bundle "org.eclipse.core.contenttype" version "3.4.200.v20120523-2004" has already been installed from: reference:file:plugins/org.eclipse.core.contenttype_3.4.200.v20120523-2004.jar

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.867
!MESSAGE Could not install bundle plugins/org.eclipse.core.jobs_3.5.300.v20120622-204750.jar Bundle "org.eclipse.core.jobs" version "3.5.300.v20120622-204750" has already been installed from: reference:file:plugins/org.eclipse.core.jobs_3.5.300.v20120622-204750.jar

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.874
!MESSAGE Could not install bundle plugins/org.eclipse.core.net.linux.x86_64_1.1.0.v20120522-1148.jar Bundle "org.eclipse.core.net.linux.x86_64" version "1.1.0.v20120522-1148" has already been installed from: reference:file:plugins/org.eclipse.core.net.linux.x86_64_1.1.0.v20120522-1148.jar

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.878
!MESSAGE Could not install bundle plugins/org.eclipse.core.net_1.2.200.v20120522-1148.jar Bundle "org.eclipse.core.net" version "1.2.200.v20120522-1148" has already been installed from: reference:file:plugins/org.eclipse.core.net_1.2.200.v20120522-1148.jar

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.880
!MESSAGE Could not install bundle plugins/org.eclipse.core.runtime_3.8.0.v20120521-2346.jar Bundle "org.eclipse.core.runtime" version "3.8.0.v20120521-2346" has already been installed from: reference:file:plugins/org.eclipse.core.runtime_3.8.0.v20120521-2346.jar

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.881
!MESSAGE Could not install bundle plugins/org.eclipse.ecf.filetransfer_5.0.0.v20120610-1946.jar Bundle "org.eclipse.ecf.filetransfer" version "5.0.0.v20120610-1946" has already been installed from: reference:file:plugins/org.eclipse.ecf.filetransfer_5.0.0.v20120610-1946.jar

!ENTRY org.eclipse.update.configurator 4 0 2013-07-17 17:24:05.883
!MESSAGE Could not install bundle plugins/org.eclipse.ecf.identity_3.1.200.v20120610-1946.jar Bundle "org.eclipse.ecf.identity" version "3.1.200.v20120610-1946" has already been installed from: reference:file:plugins/org.eclipse.ecf.identity_3.1.200.v20120610-1946.jar
Re: Director randomly failing [message #1070667 is a reply to message #1070404] Thu, 18 July 2013 12:30 Go to previous messageGo to next message
Derk-Jan Hartman is currently offline Derk-Jan Hartman
Messages: 5
Registered: July 2013
Junior Member
Remove org.eclipse.update.configurator from the product, or set org.eclipse.update.reconcile=false
Re: Director randomly failing [message #1070712 is a reply to message #1070667] Thu, 18 July 2013 14:20 Go to previous message
Terran Gilman is currently offline Terran Gilman
Messages: 67
Registered: July 2009
Member
The target eclipse install doesn't have that bundle installed. It is however present in the standalone director package. Is that bundle required for the standalone director to function or can I just disable it via the org.eclipse.update.reconcile=false property?
Previous Topic:Plugins not installed properly?
Next Topic:No repository found at xyz (ProvisionException)
Goto Forum:
  


Current Time: Wed Sep 17 05:49:07 GMT 2014

Powered by FUDForum. Page generated in 0.13680 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software